#include <bits/stdc++.h>
using namespace std;
string s;
char a,b;
int a2,b2;
int main (){
    cin>>s>>a2>>b2;
    a=s[0];
    b=s[1];
   if(a2<b2){
     swap(a2,b2);
     swap(a,b);
   }
   if(a2-b2>1){
    cout<<"nemoguce"<<endl;
   }
   else {
     if(a2-b2==0){
      for(int i=1; i<=a2; i++){
        cout<<a<<b;
      }
      cout<<endl;
     }
    else{
      for(int i=1; i<=a2-1; i++){
          cout<<a<<b;
      }
    cout<<a<<endl;
    }
   }
return 0;
}